> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riverside.fm/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Recordings

> Retrieves a list of recordings with optional filtering by either studio ID or Project Id. Each recording includes information about tracks.

**HTTP Method**: GET

**URL**: `/api/v2/recordings`

**Authentication**: Requires API Key in the request header.

**Query Parameters**:

You may optionally filter by one of the following parameters:

* `studioId`: ID of the studio to filter recordings
* `projectId`: ID of the project to filter recordings
* `start_date`: Return recordings created **on or after** this date (Format: YYYY-MM-DD)
* `end_date`: Return recordings created **on or before** this date (Format: YYYY-MM-DD)

> **Notes:**
>
> * Providing only start\_date returns all recordings from that date forward; providing only end\_date returns all recordings up to that date.
> * Use both start\_date and end\_date to filter by a date range.
> * Date filtering works in combination with studioId or projectId.
> * If no parameter is provided, the response will include recordings from all studios in the account.

**Response**: List of recordings objects

**Rate limit**: once every 10 seconds for unique request (e.g. different pages not limited)

**Sorting:** Lists objects in order of “newest created first”

**Pagination:** By default every response is capped at 20 recordings

Response:

* `page` page you are viewing
* `next_page_url`
* `total_items`
* `total_pages`
* `data` list of recording and their tracks

Request:

* `page` page that you want to receive (optional, defaults to page 0)

**Status Codes**:

* `200 OK` Recordings retrieval successful.
* `401 Unauthorized` Authentication failed.

### **Sample Request**

```
GET /api/v2/recordings?studioId=1 HTTP/1.1
Host: platform.riverside.fm
Authorization: BEARER YOUR_API_KEY
```

### **Sample Request with pagination**

```md theme={null}
GET /api/v2/recordings?studioId=1&page=4 HTTP/1.1
Host: platform.riverside.fm
Authorization: BEARER YOUR_API_KEY
```

### **Sample Request with date range**

```md theme={null}
GET /api/v2/recordings?start_date=2025-05-01&end_date=2025-06-30 HTTP/1.1
Host: platform.riverside.fm
Authorization: BEARER YOUR_API_KEY
```

### **Sample Response**

```json theme={null}
{
  "page": 0,
  "next_page_url": "/api/v2/recordings?studioId=1&page=1",
  "total_items": 200,
  "total_pages": 2,
  "data": [{
      "recording_id": "rec123",
      "name": "Recording 1",
      "project_id": "640479c9-1222-4161-1234-dee0d855e685",
      "project_name": "Project 1",
      "studio_id": "640479c9-1222-4161-1234-dee0d855e685",
      "studio_name": "Studio 1", 
      "status": "ready",
      "created_date": "2024-04-28T12:00:00Z",
      "tracks": [{
          "id": "track123",
          "type": "participant",
          "status": "done",
          "files": [{
              "type": "compressed_audio",
              "download_url": "https://api.riverside.fm/downloads/audio123.mp3"
          }]
      }, {
          "id": "track456",
          "type": "screenshare",
          "status": "done",
          "files": [{
              "type": "raw_video",
              "download_url": "https://example.com/downloads/video456.mp4"
          }]
       }]
    }, {
      "recording_id": "rec456",
      "name": "Recording 2",
      "project_id": "640479c9-1222-4161-1234-dee0d855e685",
      "project_name": "Project 1",
      "studio_id": "640479c9-1222-4161-1234-dee0d855e685",
      "studio_name": "Studio 1", 
      "status": "uploading",
      "created_date": "2024-04-27T10:30:00Z",
      "tracks": [{
          "id": "track789",
          "type": "media board",
          "status": "processing",
          "files": []
      }]
   }, {
       .....
   }]
}
```
